#include <bits/stdc++.h>
using namespace std;

long long a[100005],b,c,d,e,f,n,m,k,i,j,x,y,mi,ma,res,l,r;
string s;

int main()
{
    cin>>s;
    n=s.size();
    for(i=0;i<n;i++)
    {
        a[i+1]=s[i]-96;
    }
    cin>>n;
    for(i=1;i<=n;i++)
    {
        c=1;
        cin>>l>>r;
        for(j=l+1;j<=r;j++)
        {
            if(a[j]<a[j-1])c++;
        }
        cout<<c<<endl;
    }

    return 0;
}